@echo off

setlocal enabledelayedexpansion

goto start

:daq.sh Port Count Time Interval File
:Port: UDP端口号
:Count: 最大采集次数
:Time: 最长时间，单位：秒
:Interval: 缓存刷新间隔时间，单位：秒
:File: 保存的文件，不需要文件扩展名，将同时保存数据文件(.dat) 和统计信息文件(.txt)

:start

set port=8190
set count=500000
set t=120
set interval=10
set fp=.\\Data2\\test
set ext=.txt

if not "%1"=="" (
	set port=%1
)

if not "%2"=="" (
	set count=%2
)

if not "%3"=="" (
	set t=%3
)

if not "%4"=="" (
	set interval=%4
)

if not "%5"=="" (
	set fp=%5
)

daq.exe %port% %count% %t% %interval% %fp%

notepad %fp%%ext%

pause